Skip to main content
`Ctrl`+`K`

# PetscPragmaOMP

Sets an OpenMP pragma to affect the next block of code

## Synopsis

    #include <petscmacros.h>
    int PetscPragmaOMP(name)

No Fortran Support

## Input Parameter

- name - the OpenMP pragma, for example, `critical` or `parallel for`

## Note

The pragma takes effect when PETSc was configured with `--with-openmp`. See `PetscPragmaUseOMPKernels()` for when PETSc was configured to use OpenMP in some of its numerical kernels.

## See Also

`PetscPragmaUseOMPKernels()`, `PetscHasBuiltin()`, `PetscDefined()`, `PetscLikely()`, `PetscUnlikely()`, `PETSC_ATTRIBUTE_FORMAT`, `PETSC_ATTRIBUTE_MAY_ALIAS`

## Level

intermediate

## Location

include/petscmacros.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages